This forum has been moved here:
Helicon Tech Community Forum

  Active TopicsActive Topics  Display List of Forum MembersMemberlist  HelpHelp   RegisterRegister  LoginLogin
ISAPI_Rewrite 2.x (Forum Locked Forum Locked)
 Helicon Tech : ISAPI_Rewrite 2.x
Subject Topic: Installing on Windows 7 (64Bit)
Author
Message |
BSolveIT
Newbie


Joined: 26 June 2007
Location: United Kingdom
Posts: 13
Posted: 09 January 2011 at 7:59pm

I have previously used this on Windows 7 (64Bit), but I'm having problems installing it since I had to rebuild my system recently.

I don't want to use version 3 if I can avoid it, as I've got so many sites using version 2.

Which installation file should I be using?

Also, is it possible to have version 2 & version 3 running on the same machine?



__________________
Search Engine Optimisation
Back to Top Visit BSolveIT's Homepage
 
Anton
Admin Group


Joined: 30 January 2007
Location: Ukraine
Posts: 10519
Posted: 10 January 2011 at 3:31am

"Which installation file should I be using?"
- please try taking manual installation package for Vista. And try to install ISAPI_Rewrite manually.

"Also, is it possible to have version 2 & version 3 running on the same machine?"
- Yes, it's possible. Just don't have both 2 and 3 filters registered for the same site to avoid collisions.

__________________
Regards,
Anton
Back to Top
 
BSolveIT
Newbie


Joined: 26 June 2007
Location: United Kingdom
Posts: 13
Posted: 10 January 2011 at 3:36am

Many thanks!

I've just been RTFM (checking out the docs), and realised I hadn't installed a couple of IIS6 prerequisites.  The ordinary 64Bit installer works fine for me again now.  Sorry.

When you say don't have 2 and 3 filters registered for the same site, do you just that mean if a site is supposed to use version 3, make sure there's no httpd.ini  file in the root?



__________________
Search Engine Optimisation
Back to Top Visit BSolveIT's Homepage
 
Anton
Admin Group


Joined: 30 January 2007
Location: Ukraine
Posts: 10519
Posted: 10 January 2011 at 4:22am

I mean, if a site is supposed to use version 3, make certain you don't have ISAPI_Rewrite filter registered in Properties -> ISAPI Filters
tab for this site. Only ISAPI_Rewrite3 filter must be there. And of course httpd.ini shouldn't be there as well.

__________________
Regards,
Anton
Back to Top
 

Sorry, you can NOT post a reply.
This forum has been locked by a forum administrator.

Printable version Printable version
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot delete your posts in this forum
You cannot edit your posts in this forum
You cannot create polls in this forum
You cannot vote in polls in this forum